Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPDGCode.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPDGCode.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPDGCode.cc	(revision 1055)
@@ -1312,8 +1319,8 @@
   }
   else if(s==-3)           // ******************> S=-3 nucleus
-		{
+  {
     G4int Nmin=iNF[z];     // Minimun N(Z) for the Dynamic Associative Memory (DAM)
     if(!iNin7[z])          // ====> This element is already initialized
-				{
+    {
 #ifdef idebug
       G4cout<<"*>G4QPDGCode::GetMass:Z="<<z<<", S=-3 is initialized. F="<<iNin7[z]<<G4endl;
@@ -1326,5 +1333,5 @@
     G4int dNn=n-Nmin;
     if(dNn<0)              // --> The minimum N must be reduced 
-				{
+    {
 #ifdef qdebug
       if(n<iNmin[z])
@@ -1338,5 +1345,5 @@
     else if(dNn<iNL[z]) return VZ7[z][dNn]; // Found in DAM
     else                   // --> The maximum N must be increased
-				{
+    {
 #ifdef qdebug
       if(dNn>iNmax)
@@ -1355,8 +1362,8 @@
   }
   else if(s==3)            // ******************> S=3 nucleus
-		{
+  {
     G4int Nmin=iNF[z];     // Minimun N(Z) for the Dynamic Associative Memory (DAM)
     if(!iNin3[z])          // ====> This element is already initialized
-				{
+    {
 #ifdef idebug
       G4cout<<"**>G4QPDGCode::GetMass:Z="<<z<<", S=3 is initialized. F="<<iNin3[z]<<G4endl;
@@ -1369,5 +1376,5 @@
     G4int dNn=n-Nmin;
     if(dNn<0)              // --> The minimum N must be reduced 
-				{
+    {
 #ifdef qdebug
       if(n<iNmin[z])
@@ -1381,5 +1388,5 @@
     else if(dNn<iNL[z]) return VZ3[z][dNn]; // Found in DAM
     else                   // --> The maximum N must be increased
-				{
+    {
 #ifdef qdebug
       if(dNn>iNmax)
@@ -1398,8 +1405,8 @@
   }
   else if(s==-4)           // ******************> S=-4 nucleus
-		{
+  {
     G4int Nmin=iNF[z];     // Minimun N(Z) for the Dynamic Associative Memory (DAM)
     if(!iNin6[z])          // ====> This element is already initialized
-				{
+    {
 #ifdef idebug
       G4cout<<"*>G4QPDGCode::GetMass:Z="<<z<<", S=-4 is initialized. F="<<iNin6[z]<<G4endl;
@@ -1412,5 +1419,5 @@
     G4int dNn=n-Nmin;
     if(dNn<0)              // --> The minimum N must be reduced 
-				{
+    {
 #ifdef qdebug
       if(n<iNmin[z])
@@ -1424,5 +1431,5 @@
     else if(dNn<iNL[z]) return VZ6[z][dNn]; // Found in DAM
     else                   // --> The maximum N must be increased
-				{
+    {
 #ifdef qdebug
       if(dNn>iNmax)
@@ -1441,8 +1448,8 @@
   }
   else if(s==4)           // ******************> S=4 nucleus
-		{
+  {
     G4int Nmin=iNF[z];     // Minimun N(Z) for the Dynamic Associative Memory (DAM)
     if(!iNin4[z])          // ====> This element is already initialized
-				{
+    {
 #ifdef idebug
       G4cout<<"*>G4QPDGCode::GetMass:Z="<<z<<", S=4 is initialized. F="<<iNin4[z]<<G4endl;
@@ -1455,5 +1462,5 @@
     G4int dNn=n-Nmin;
     if(dNn<0)              // --> The minimum N must be reduced 
-				{
+    {
 #ifdef qdebug
       if(n<iNmin[z])
@@ -1467,5 +1474,5 @@
     else if(dNn<iNL[z]) return VZ4[z][dNn]; // Found in DAM
     else                   // --> The maximum N must be increased
-				{
+    {
 #ifdef qdebug
       if(dNn>iNmax)
@@ -1484,8 +1491,8 @@
   }
   else
-		{
+  {
 #ifdef qdebug
     if(s<Smin || s>Smax)
-				{
+    {
       if(s<Smin) Smin=s;
       if(s>Smax) Smax=s;
@@ -1587,14 +1594,14 @@
   //static G4double c[9][9]={// z=1     =2     =3     =4     =5     =6     =7     =8     =9
   //                 {13.136,14.931,25.320,38.000,45.000,55.000,65.000,75.000,85.000},//n=1
-		//		   {14.950, 2.425,11.680,18.374,27.870,35.094,48.000,60.000,72.000},  //n=2
-		//		   {25.930,11.390,14.086,15.770,22.921,28.914,39.700,49.000,60.000},  //n=3
-		//		   {36.830,17.594,14.908, 4.942,12.416,15.699,24.960,32.048,45.000},  //n=4
-		//		   {41.860,26.110,20.946,11.348,12.051,10.650,17.338,23.111,33.610},  //n=5
-		//		   {45.000,31.598,24.954,12.607, 8.668, 0.000, 5.345, 8.006,16.780},  //n=6
-		//		   {50.000,40.820,33.050,20.174,13.369, 3.125, 2.863, 2.855,10.680},  //n=7
-		//		   {55.000,48.810,40.796,25.076,16.562, 3.020, 0.101,-4.737,1.9520},  //n=8
-		//		   {60.000,55.000,50.100,33.660,23.664, 9.873, 5.683,-0.809,0.8730}}; //n=9
+  //     {14.950, 2.425,11.680,18.374,27.870,35.094,48.000,60.000,72.000},  //n=2
+  //     {25.930,11.390,14.086,15.770,22.921,28.914,39.700,49.000,60.000},  //n=3
+  //     {36.830,17.594,14.908, 4.942,12.416,15.699,24.960,32.048,45.000},  //n=4
+  //     {41.860,26.110,20.946,11.348,12.051,10.650,17.338,23.111,33.610},  //n=5
+  //     {45.000,31.598,24.954,12.607, 8.668, 0.000, 5.345, 8.006,16.780},  //n=6
+  //     {50.000,40.820,33.050,20.174,13.369, 3.125, 2.863, 2.855,10.680},  //n=7
+  //     {55.000,48.810,40.796,25.076,16.562, 3.020, 0.101,-4.737,1.9520},  //n=8
+  //     {60.000,55.000,50.100,33.660,23.664, 9.873, 5.683,-0.809,0.8730}}; //n=9
   if(z>107)
-		{
+  {
 #ifdef debug
     G4cout<<"***G4QPDGCode::CalcNuclMass: Z="<<z<<">107, N="<<n<<", S="<<s<<G4endl;
@@ -1641,5 +1648,5 @@
       return mK;  // Simple decision
     else if(S>0)                                  // General decision
-	   {
+    {
       if     (-Z>S) return S*mK-(S+Z)*mPi+eps;
       else if(Z>=0) return S*mK0+Z*mPi+eps;
@@ -1647,5 +1654,5 @@
     }
     else if(S<0)                                  // General decision
-	   {
+    {
       if     (Z>-S) return -S*mK+(S+Z)*mPi+eps;
       else if(Z<=0) return -S*mK0-Z*mPi+eps;
@@ -1666,20 +1673,20 @@
     else if(!S&&N<0) return mP-mPi*N+eps;         // Positive Isonuclei
     else if(S==1)                                 // --> General decision
-	   {
+    {
       if     (N>1)   return mSm+(N-1)*mPi+eps;    // (Sigma-)+(n*PI-)
       else if(Z>1)   return mSp+(Z-1)*mPi+eps;    // (Sigma+)+(n*PI+)
     }
     else if(S==2)                                 // --> General decision
-	   {
+    {
       if     (N>0)   return mXm+N*mPi+eps;        // (Xi-)+(n*PI-)
       else if(Z>0)   return mXz+Z*mPi+eps;        // (Xi0)+(n*PI+)
     }
     else if(S==3)                                 // --> General decision
-	   {
+    {
       if     (N>-1)  return mOm+(N+1)*mPi+eps;    // (Omega-)+(n*PI-)
       else if(Z>-1)  return mOm+(Z+1)*mPi+eps;    // (Omega-)+(n*PI+)
     }
     else if(S>3)                                  // --> General Omega- decision
-	   {
+    {
       if   (-Z>S-2)  return mOm+(S-3)*mK +(2-Z-S)*mPi+eps;
       else if(Z>-1)  return mOm+(S-3)*mK0+(Z+1)+mPi+eps;
@@ -1705,20 +1712,20 @@
     else if(!S&&N<0) return dmP-mPi*N+eps;        // Positive Isonuclei
     else if(S==1)                                 // --> General decision
-	   {
+    {
       if     (N>2)   return dSP+(N-2)*mPi+eps;    // (nSigma-)+(n*PI-)
       else if(Z>2)   return dSN+(Z-1)*mPi+eps;    // (pSigma+)+(n*PI+)
     }
     else if(S==2)                                 // --> General decision
-	   {
+    {
       if     (N>1)   return dXN+(N-1)*mPi+eps;    // (nXi-)+(n*PI-)
       else if(Z>1)   return dXP+(Z-1)*mPi+eps;    // (pXi0)+(n*PI+)
     }
     else if(S==3)                                 // --> General decision
-	   {
+    {
       if     (N>0)   return dON+N*mPi+eps;        // (nOmega-)+(n*PI-)
       else if(Z>0)   return dOP+Z*mPi+eps;        // (pOmega-)+(n*PI+)
     }
     else if(S>3)                                  // --> General Omega- decision
-	   {
+    {
       if   (-Z>S-2)  return dON+(S-3)*mK +(2-Z-S)*mPi+eps;
       else if(Z>0)   return dOP+(S-3)*mK0+Z+mPi+eps;
@@ -1727,7 +1734,7 @@
     //else if(S>0)                                // @@ Implement General Decision
     //{
-	   //  //#ifdef debug
-	   //  G4cout<<"***G4QPDGCode::GetNuclMass:B=2, Z="<<Z<<",N="<<N<<",S="<<S<<G4endl;
-	   //  //#endif
+    //  //#ifdef debug
+    //  G4cout<<"***G4QPDGCode::GetNuclMass:B=2, Z="<<Z<<",N="<<N<<",S="<<S<<G4endl;
+    //  //#endif
     //  return bigM;                              // Exotic dibaryons (?)
     //}
@@ -1760,10 +1767,10 @@
   {
     if(Zm>=-S)                        // Enough charge for K+'s
-	   {
+    {
       km=-S*mK;                       // Anti-Lambdas are compensated by protons
-	     Zm+=S;
+      Zm+=S;
     }
     else if(Zm>0)
-	   {
+    {
       km=Zm*mK-(S+Zm)*mK0;            // Anti-Lambdas are partially compensated by neutrons
       Zm=0;
@@ -1779,7 +1786,7 @@
     G4int bH=-S-sH;                   // BigHalhS   || as in G4QE::DecayAntiStrange
     if(Z>0 && Z>N)
-	   {
+    {
       if(Z>=bH)                       // => "Enough protons in nucleus" case
-	     {
+      {
         if(N>=sH)
         {
@@ -1823,15 +1830,15 @@
           }
         }
-	     }
+      }
       else // Must not be here
-	     {
+      {
 #ifdef debug
         G4cout<<"***G4QPDGC::CalcNuclMass:Antimatter? Z="<<Z<<",N="<<N<<",S="<<S<<G4endl;
 #endif
         return 0.;                          // @@ Antiparticles aren't implemented @@
-	     }
-	   }
+      }
+    }
     else if(N>=bH)
-	   {
+    {
       if(Z>=sH)
       {
@@ -1875,12 +1882,12 @@
         }
       }
-	   }
+    }
     else // Must not be here
-	   {
+    {
       return 0.;                            // @@ Antiparticles aren't implemented @@
 #ifdef debug
         G4cout<<"***G4QPDGC::CalcNuclMass:Antimatter? N="<<N<<",Z="<<Z<<",S="<<S<<G4endl;
 #endif
-	   }
+    }
     S=0;
   }
@@ -1923,6 +1930,6 @@
     //else if(A==256 && Z==128) m=256000.;
     //else
-				//		m=k+G4ParticleTable::GetParticleTable()->FindIon(Z,A,0,Z)->GetPDGMass();
-		 //m+=-sh[Z]-sh[N]+b1*D*D*pow(fA,b2)+b3*(1.-2./(1.+exp(b4*D)))+Z*Z*(b5*pow(fA,b9)+b6/fA);
+    //  m=k+G4ParticleTable::GetParticleTable()->FindIon(Z,A,0,Z)->GetPDGMass();
+   //m+=-sh[Z]-sh[N]+b1*D*D*pow(fA,b2)+b3*(1.-2./(1.+exp(b4*D)))+Z*Z*(b5*pow(fA,b9)+b6/fA);
   }
   //@@//G4double maxM= k+Z*mP+N*mN+S*mL+eps;      // @@ eps -- Wings of the Mass parabola
@@ -1950,5 +1957,5 @@
     {   // @@ Can be generalized to anti-nuclei
 #ifdef debug
-      G4cerr<<"**G4QPDGCode::CalcNucM:A="<<Am<<"<1 || Z="<<Zm<<"<0 || N="<<Nm<<"<0"<<G4endl;
+      G4cerr<<"*G4QPDGCode::CalcNucM:A="<<Am<<"<1 || Z="<<Zm<<"<0 || N="<<Nm<<"<0"<<G4endl;
 #endif
     }
@@ -1965,6 +1972,6 @@
       //  mm=km+G4NucleiProperties::GetNuclearMass(Am,Zm);
       //else
-						//  mm=km+G4ParticleTable::GetParticleTable()->FindIon(Zm,Am,0,Zm)->GetPDGMass();
-						//  //mm+=-sh[Zm]-sh[Nm]+b1*Dm*Dm*pow(fA,b2)+b3*(1.-2./(1.+exp(b4*Dm)))
+      //  mm=km+G4ParticleTable::GetParticleTable()->FindIon(Zm,Am,0,Zm)->GetPDGMass();
+      //  //mm+=-sh[Zm]-sh[Nm]+b1*Dm*Dm*pow(fA,b2)+b3*(1.-2./(1.+exp(b4*Dm)))
       //  //    +Zm*Zm*(b5*pow(fA,b9)+b6/Am);
     }
@@ -2020,5 +2027,5 @@
     if     (ab==22) G4cout<<"-W-G4QPDGC::GetQuarkCont: For the Photon? - Return 0"<<G4endl;
     else if(ab==10) G4cout<<"-W-G4QPDGC::GetQuarkCont: For Chipolino? - Return 0"<<G4endl;
-	   else G4cout<<"-W-G4QPDGCode::GetQuarkCont: For PDG="<<thePDGCode<<" Return 0"<<G4endl;
+    else G4cout<<"-W-G4QPDGCode::GetQuarkCont: For PDG="<<thePDGCode<<" Return 0"<<G4endl;
 #endif
     return G4QContent(0,0,0,0,0,0); // Photon, bosons, leptons
@@ -2031,71 +2038,71 @@
     G4int t=0;         // (3)prototype of highest quark (B)
 #ifdef sdebug
-	   G4cout<<"G4QPDGCode::GetQuarkContent: a="<<ab<<", c="<<c<<", f="<<f<<", v="<<v<<G4endl;
+    G4cout<<"G4QPDGCode::GetQuarkContent: a="<<ab<<", c="<<c<<", f="<<f<<", v="<<v<<G4endl;
 #endif
     if(v>10)           // Baryons
-	   {
+    {
       t=v/10;          // (3) highest quark
       v%=10;           // (2) high quark
       if     (f==1)
-	     {
+      {
         if(a) ad++;
         else   d++;
-	     }
+      }
       else if(f==2)
-	     {
+      {
         if(a) au++;
         else   u++;
-	     }
+      }
       else if(f==3)
-	     {
+      {
         if(a) as++;
         else   s++;
-	     }
-      else G4cerr<<"***G4QPDGCode::GetQContent:1 PDG="<<thePDGCode<<","<<f<<","<<v<<","<<t<<G4endl;
+      }
+      else G4cerr<<"*G4QPDGC::GetQCont:1 PDG="<<thePDGCode<<","<<f<<","<<v<<","<<t<<G4endl;
       if     (v==1)
-	     {
+      {
         if(a) ad++;
         else   d++;
-	     }
+      }
       else if(v==2)
-	     {
+      {
         if(a) au++;
         else   u++;
-	     }
+      }
       else if(v==3)
-	     {
+      {
         if(a) as++;
         else   s++;
-	     }
-      else G4cerr<<"***G4QPDGCode::GetQContent:2 PDG="<<thePDGCode<<","<<f<<","<<v<<","<<t<<G4endl;
+      }
+      else G4cerr<<"*G4QPDGC::GetQCont:2 PDG="<<thePDGCode<<","<<f<<","<<v<<","<<t<<G4endl;
       if     (t==1)
-	     {
+      {
         if(a) ad++;
         else   d++;
-	     }
+      }
       else if(t==2)
-	     {
+      {
         if(a) au++;
         else   u++;
-	     }
+      }
       else if(t==3)
-	     {
+      {
         if(a) as++;
         else   s++;
-	     }
-      else G4cerr<<"***G4QPDGCode::GetQCont:3 PDG="<<thePDGCode<<","<<f<<","<<v<<","<<t<<G4endl;
+      }
+      else G4cerr<<"*G4QPDGC::GetQCont:3 PDG="<<thePDGCode<<","<<f<<","<<v<<","<<t<<G4endl;
       return G4QContent(d,u,s,ad,au,as);
-	   }
+    }
     else        // Mesons
-	   {
+    {
       if(f==v)
-	     {
+      {
         if     (f==1) return G4QContent(1,0,0,1,0,0);
         else if(f==2) return G4QContent(0,1,0,0,1,0);
         else if(f==3) return G4QContent(0,0,1,0,0,1);
-        else G4cerr<<"***G4QPDGCode::GetQCont:4 PDG="<<thePDGCode<<",i="<<f<<","<<v<<","<<t<<G4endl;
-	     }
+        else G4cerr<<"*G4QPDGC::GetQC:4 PDG="<<thePDGCode<<","<<f<<","<<v<<","<<t<<G4endl;
+      }
       else
-	     {
+      {
         if     (f==1 && v==2)
         {
@@ -2113,7 +2120,7 @@
           else return G4QContent(0,1,0,0,0,1);
         }
-        else G4cerr<<"***G4QPDGCode::GetQCont:5 PDG="<<thePDGCode<<","<<f<<","<<v<<","<<t<<G4endl;
-	     }
-	   }
+        else G4cerr<<"*G4QPDGC::GetQC:5 PDG="<<thePDGCode<<","<<f<<","<<v<<","<<t<<G4endl;
+      }
+    }
   }
   else                    
@@ -2214,5 +2221,5 @@
   if(theQCode<fragmStart) return 7;
   G4int sub=theQCode-fragmStart;
-  if ( (sub > 1 && sub < 8) || sub == 15) return 7; //@@Why they are in clusters?-Residuals(?)
+  if ( (sub > 1 && sub < 8) || sub == 15) return 7;//Why they are in clusters?-Residuals(?)
   G4int rel=sub;                         // case of nuclear baryons and isonuclei
   if     (sub>31)rel =(sub-32)%15;       // case of heavy fragments (BaryNum>3)
@@ -2278,10 +2285,10 @@
   {
     G4int shiftQ=GetRelCrossIndex(i, o);
-    G4int sQCode=theQCode;                        // QCode of the parent cluster
-    if     (shiftQ==7) return 0;                  // A parent cluster doesn't exist
-    else if(!shiftQ) sQCode+=shiftQ;              // Shift QCode of son to QCode of his parent
-    G4QPDGCode parent;                            // Create a temporary (fake) parent cluster
-    parent.InitByQCode(sQCode);                   // Initialize it by Q-Code
-    G4QContent parentQC=parent.GetQuarkContent(); // Quark Content of the parent cluster
+    G4int sQCode=theQCode;                     // QCode of the parent cluster
+    if     (shiftQ==7) return 0;               // A parent cluster doesn't exist
+    else if(!shiftQ) sQCode+=shiftQ;           // Shift QCode of son to QCode of his parent
+    G4QPDGCode parent;                         // Create a temporary (fake) parent cluster
+    parent.InitByQCode(sQCode);                // Initialize it by Q-Code
+    G4QContent parentQC=parent.GetQuarkContent();// Quark Content of the parent cluster
     if     (!o)   return parentQC.GetD();
     else if(o==1) return parentQC.GetU();
@@ -2324,5 +2331,5 @@
     {
       if(cz>500000) cz-=1000000;                   // AntiProtons
-				  z=cz/1000;                                   // Number of protons
+      z=cz/1000;                                   // Number of protons
       r-=cz;                                       // Subtract them from the residual
       if(r==90000000) return;
@@ -2332,5 +2339,5 @@
     {
       if(cs>5000000) cs-=10000000;                 // AntiLambda
-				  s=cs/1000000;                                // Number of Lambdas
+      s=cs/1000000;                                // Number of Lambdas
     }
   }
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPDGToG4Particle.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPDGToG4Particle.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPDGToG4Particle.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QPDGToG4Particle.cc,v 1.5 2006/06/29 20:07:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QPDGToG4Particle.cc,v 1.6 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // ---------------- G4QG4ToG4Particle singletone class ------------------
@@ -35,4 +35,8 @@
 // ******* DO NOT MAKE ANY CHANGE! With time it'll move back to photolepton...(M.K.) ******
 // ****************************************************************************************
+// Short description: This is a helper class, which converts the PDG-defined
+// G4QHadrons of the CHIPS model to the G4 particles, defined by the singetones.
+// -----------------------------------------------------------------------------
+
 
 //#define pdebug
@@ -61,5 +65,5 @@
   if(!PDG) return 0;
   else if(PDG>0)     // Positive PDG Code
-		{
+  {
     if(PDG<100)
     {
@@ -73,5 +77,5 @@
         }
         else
-								{
+        {
           if(PDG<15)
           {
@@ -89,5 +93,5 @@
     } // End of the Lepton definition
     else if(PDG<1000)
-				{
+    {
       if(PDG<420)
       {
@@ -111,5 +115,5 @@
       }
       else
-						{
+      {
         if(PDG<500)
         {
@@ -129,5 +133,5 @@
     } // Emd of the Meson definition
     else
-				{
+    {
       if(PDG<3333)
       {
@@ -137,5 +141,5 @@
           {
             if(PDG==2112) return G4Neutron::Neutron();
-						      else if(PDG==2212) return G4Proton::Proton();
+            else if(PDG==2212) return G4Proton::Proton();
             else return 0; // @@ Warning can be added
           }
@@ -199,6 +203,6 @@
   } 
   else               // Negative PDG Code
-		{
-		  G4int aPDG=-PDG;
+  {
+    G4int aPDG=-PDG;
 #ifdef pdebug
     G4cout<<"G4QPDGToG4Particle:Antiparticle PDG="<<PDG<<G4endl;
@@ -214,5 +218,5 @@
         }
         else
-								{
+        {
           if(aPDG<15)
           {
@@ -230,5 +234,5 @@
     } // End of the Anti-Lepton definition
     else if(aPDG<1000)
-				{
+    {
 #ifdef pdebug
       G4cout<<"G4QPDGToG4Particle:AntiMesons aPDG="<<aPDG<<G4endl;
@@ -282,5 +286,5 @@
     } // Emd of the Anti-Meson definition
     else
-				{
+    {
       if(aPDG<3333)
       {
@@ -290,5 +294,5 @@
           {
             if(aPDG==2112) return G4AntiNeutron::AntiNeutron();
-						      else if(aPDG==2212) return G4AntiProton::AntiProton();
+            else if(aPDG==2212) return G4AntiProton::AntiProton();
             else return 0; // @@ Warning can be added
           }
@@ -357,5 +361,5 @@
 // ==========================================
 {
-		//======== LEPTONS =========
+  //======== LEPTONS =========
   G4Gamma::GammaDefinition();
   G4MuonPlus::MuonPlusDefinition();
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParentCluster.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParentCluster.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParentCluster.cc	(revision 1055)
@@ -25,12 +25,17 @@
 //
 //
-// $Id: G4QParentCluster.cc,v 1.25 2006/11/27 10:44:55 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QParentCluster.cc,v 1.26 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QParentCluster ----------------
 //             by Mikhail Kossov, Sept 1999.
 //      class fora Parent nuclear cluster in the CHIPS Model
-// ----------------------------------------------------------
-
+// -------------------------------------------------------------------
+// Short description: The parent cluster is the cluster, which can be
+// used for the nuclear fragment production. Different clusters csn be
+// used as the parent cluser for the particular G4QCandidate (nuclear
+// fragment), e.g. t and He3 for the t-fragment production. So the
+// G4QParentClusterVector is needed.
+// -------------------------------------------------------------------
 //#define debug
 //#define pdebug
@@ -38,5 +43,5 @@
 #include "G4QParentClusterVector.hh"
 
-G4QParentCluster::G4QParentCluster(G4int PDGCode): thePDGCode(PDGCode), theProbability(0.){}
+G4QParentCluster::G4QParentCluster(G4int PDGCode): thePDGCode(PDGCode),theProbability(0.){}
 
 G4QParentCluster::G4QParentCluster(G4int PDGCode, G4double prob): 
